﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	
	Private ASTabMenu_vertical As ASTabMenu
	Private ASTabMenu_horizontal As ASTabMenu
	
	#If B4A
	Private sp_style As Spinner
	Private sp_gravity As Spinner
	Private sp_badge_gravity As Spinner
	#Else If B4J
	Private sp_gravity As ComboBox
	Private sp_badge_gravity As ComboBox
	Private sp_style As ComboBox
	#End If
	
End Sub

Public Sub Initialize
	
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("frm_main")
	B4XPages.SetTitle(Me,"AS Tab Menu Example V1.20")
	#If B4I
	Sleep(250)
	#End If
	ASTabMenu_vertical.AddTab(xui.Color_ARGB(255,39, 174, 45),"Test",ASTabMenu_vertical.FontToBitmap(Chr(0xF015),False,30,xui.Color_White),"")
	ASTabMenu_vertical.AddTab(xui.Color_ARGB(152,39, 174, 97),"Teeeeeeeeeest1",ASTabMenu_vertical.FontToBitmap(Chr(0xF179),False,30,xui.Color_White),"")
	ASTabMenu_vertical.AddTab(xui.Color_ARGB(255,39, 174, 97),"Test2",ASTabMenu_vertical.FontToBitmap(Chr(0xF11B),False,30,xui.Color_White),"")
	ASTabMenu_vertical.AddTab(xui.Color_ARGB(152,39, 174, 97),"Test3",ASTabMenu_vertical.FontToBitmap(Chr(0xE859),True,30,xui.Color_White),"")
	ASTabMenu_vertical.AddTab(xui.Color_ARGB(255,39, 174, 97),"Test4",ASTabMenu_vertical.FontToBitmap(Chr(0xF011),False,30,xui.Color_White),"")
	ASTabMenu_vertical.AddTab(xui.Color_ARGB(152,39, 174, 97),"Test5",ASTabMenu_vertical.FontToBitmap(Chr(0xF1E2),False,30,xui.Color_White),"")
	ASTabMenu_vertical.AddTab(xui.Color_ARGB(255,39, 174, 97),"Test6",ASTabMenu_vertical.FontToBitmap(Chr(0xF1EB),False,30,xui.Color_White),"")
	ASTabMenu_vertical.AddTab(xui.Color_ARGB(152,39, 174, 97),"Test7",ASTabMenu_vertical.FontToBitmap(Chr(0xF239),False,30,xui.Color_White),"")
	
	ASTabMenu_horizontal.AddTab(xui.Color_ARGB(255,39, 174, 97),"Test",ASTabMenu_horizontal.FontToBitmap(Chr(0xF015),False,30,xui.Color_White),"")
	ASTabMenu_horizontal.AddTab(xui.Color_ARGB(152,39, 174, 97),"Teeeeeeeeeest1",ASTabMenu_horizontal.FontToBitmap(Chr(0xF179),False,30,xui.Color_White),"")
	ASTabMenu_horizontal.AddTab(xui.Color_ARGB(255,39, 174, 97),"Test2",ASTabMenu_horizontal.FontToBitmap(Chr(0xF11B),False,30,xui.Color_White),"")
	ASTabMenu_horizontal.AddTab(xui.Color_ARGB(152,39, 174, 97),"Test3",ASTabMenu_horizontal.FontToBitmap(Chr(0xE859),True,30,xui.Color_White),"")
	ASTabMenu_horizontal.AddTab(xui.Color_ARGB(255,39, 174, 97),"Test4",ASTabMenu_horizontal.FontToBitmap(Chr(0xF011),False,30,xui.Color_White),"")
	ASTabMenu_horizontal.AddTab(xui.Color_ARGB(152,39, 174, 97),"Test5",ASTabMenu_horizontal.FontToBitmap(Chr(0xF1E2),False,30,xui.Color_White),"")
	ASTabMenu_horizontal.AddTab(xui.Color_ARGB(255,39, 174, 97),"Test6",ASTabMenu_horizontal.FontToBitmap(Chr(0xF1EB),False,30,xui.Color_White),"")
	ASTabMenu_horizontal.AddTab(xui.Color_ARGB(152,39, 174, 97),"Test7",ASTabMenu_horizontal.FontToBitmap(Chr(0xF239),False,30,xui.Color_White),"")

'	ASTabMenu_horizontal.AddTab(xui.Color_ARGB(255,39, 174, 97),"Test",Null,"")
'	ASTabMenu_horizontal.AddTab(xui.Color_ARGB(152,39, 174, 97),"",ASTabMenu_horizontal.FontToBitmap(Chr(0xF179),False,30,xui.Color_White),"")
'	ASTabMenu_horizontal.AddTab(xui.Color_ARGB(255,39, 174, 97),"Test2",Null,"")
'	ASTabMenu_horizontal.AddTab(xui.Color_ARGB(152,39, 174, 97),"",ASTabMenu_horizontal.FontToBitmap(Chr(0xE859),True,30,xui.Color_White),"")
'	ASTabMenu_horizontal.AddTab(xui.Color_ARGB(255,39, 174, 97),"Test4",Null,"")
'	ASTabMenu_horizontal.AddTab(xui.Color_ARGB(152,39, 174, 97),"",ASTabMenu_horizontal.FontToBitmap(Chr(0xF1E2),False,30,xui.Color_White),"")
'	ASTabMenu_horizontal.AddTab(xui.Color_ARGB(255,39, 174, 97),"Test6",Null,"")
'	ASTabMenu_horizontal.AddTab(xui.Color_ARGB(152,39, 174, 97),"",ASTabMenu_horizontal.FontToBitmap(Chr(0xF239),False,30,xui.Color_White),"")

	'Add some Badges
	'Vertical
	ASTabMenu_vertical.Badge_setVisibleEasy(0,-1,xui.Color_Red)
	ASTabMenu_vertical.Badge_setVisibleEasy(2,5,xui.Color_Blue)
	ASTabMenu_vertical.Badge_setVisibleEasy(4,20,xui.Color_Gray)
	'horizontal
	ASTabMenu_horizontal.Badge_setVisibleEasy(1,-1,xui.Color_Red)
	ASTabMenu_horizontal.Badge_setVisibleEasy(3,5,xui.Color_Blue)
	ASTabMenu_horizontal.Badge_setVisibleEasy(5,20,xui.Color_Gray)
	
	#If B4A
	sp_style.Clear
	sp_style.AddAll(Array As String("Text","Icon","TextIcon"))
	
	sp_gravity.Clear
	sp_gravity.AddAll(Array As String("TopLeft","BottomRight"))
		
	sp_badge_gravity.Clear
	sp_badge_gravity.AddAll(Array As String("MiddleRight","MiddleLeft","TopLeft","TopMiddle","TopRight"))
		
	'ASTabMenu_vertical.setTabIcon(0,ASTabMenu_vertical.FontToBitmap(Chr(0xF2BC),False,15,xui.Color_White))
	
	Sleep(0)
	sp_gravity.SelectedIndex = 0
	sp_badge_gravity.SelectedIndex = 0
	sp_style.SelectedIndex = 2
	#Else If B4J
	sp_style.Items.Clear
	sp_style.Items.AddAll(Array As String("Text","Icon","TextIcon"))
	sp_style.SelectedIndex = 2
	
	sp_gravity.Items.Clear
	sp_gravity.Items.AddAll(Array As String("TopLeft","BottomRight"))
	sp_gravity.SelectedIndex = 0
	
	sp_badge_gravity.Items.Clear
	sp_badge_gravity.Items.AddAll(Array As String("MiddleRight","MiddleLeft","TopLeft","TopMiddle","TopRight"))
	sp_badge_gravity.SelectedIndex = 0
	#End If
	Sleep(0) 'because sp_gravity_ItemClick is fireing after this code
	
	ASTabMenu_horizontal.CurrentTabUnderlineGravity = ASTabMenu_horizontal.CurrentTabUnderlineGravity_BOTTOMRIGHT
	ASTabMenu_vertical.CurrentTabUnderlineGravity = ASTabMenu_vertical.CurrentTabUnderlineGravity_TOPLEFT
	
	ASTabMenu_vertical.CommitChanges 'only if you have the CommitMode = Manually
	ASTabMenu_horizontal.TabStripMode = True
	
	ASTabMenu_horizontal.set
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.
Sub ASTabMenu_vertical_TabClick(index As Int)
	Log("TabClick: " & index)
End Sub

Sub ASTabMenu_horizontal_TabClick(index As Int)
	Log("TabClick: " & index)
End Sub

#If B4A
Sub rb_underlineanimation_normal_CheckedChange(Checked As Boolean)
	ASTabMenu_vertical.CurrentTabUnderlineAnimation = ASTabMenu_vertical.CurrentTabUnderlineAnimation_NORMAL
	ASTabMenu_horizontal.CurrentTabUnderlineAnimation = ASTabMenu_horizontal.CurrentTabUnderlineAnimation_NORMAL
End Sub
Sub rb_underlineanimation_stretch_CheckedChange(Checked As Boolean)
	'ASTabMenu_vertical.CurrentTabUnderlineAnimation = ASTabMenu_vertical.CurrentTabUnderlineAnimation_STRETCH
	'ASTabMenu_horizontal.CurrentTabUnderlineAnimation = ASTabMenu_horizontal.CurrentTabUnderlineAnimation_STRETCH
End Sub
Sub cb_underlinevisible_CheckedChange(Checked As Boolean)
	ASTabMenu_vertical.CurrentTabUnderline = Checked
	ASTabMenu_horizontal.CurrentTabUnderline = Checked
End Sub
Sub sp_style_ItemClick (Position As Int, Value As Object)
	ASTabMenu_vertical.TabStyle = Value
	ASTabMenu_horizontal.TabStyle = Value
End Sub

Sub cb_partinglinevisible_CheckedChange(Checked As Boolean)
	ASTabMenu_vertical.PartingLineVisible = Checked
	ASTabMenu_horizontal.PartingLineVisible = Checked
End Sub

Sub sp_gravity_ItemClick (Position As Int, Value As Object)
	ASTabMenu_vertical.CurrentTabUnderlineGravity = Value
	ASTabMenu_horizontal.CurrentTabUnderlineGravity = Value
End Sub

Sub sp_badge_gravity_ItemClick (Position As Int, Value As Object)
	ASTabMenu_vertical.Badge_Gravity = Value
	ASTabMenu_horizontal.Badge_Gravity = Value
End Sub
#Else If B4J

Sub rb_underlineanimation_normal_CheckedChange(Checked As Boolean)
	ASTabMenu_vertical.CurrentTabUnderlineAnimation = ASTabMenu_vertical.CurrentTabUnderlineAnimation_NORMAL
	ASTabMenu_horizontal.CurrentTabUnderlineAnimation = ASTabMenu_horizontal.CurrentTabUnderlineAnimation_NORMAL
End Sub
Sub rb_underlineanimation_stretch_CheckedChange(Checked As Boolean)
	'ASTabMenu_vertical.CurrentTabUnderlineAnimation = ASTabMenu_vertical.CurrentTabUnderlineAnimation_STRETCH
	'ASTabMenu_horizontal.CurrentTabUnderlineAnimation = ASTabMenu_horizontal.CurrentTabUnderlineAnimation_STRETCH
End Sub
Sub cb_underlinevisible_CheckedChange(Checked As Boolean)
	ASTabMenu_vertical.CurrentTabUnderline = Checked
	ASTabMenu_horizontal.CurrentTabUnderline = Checked
End Sub

Sub sp_style_SelectedIndexChanged(Index As Int, Value As Object)
	ASTabMenu_vertical.TabStyle = Value
	ASTabMenu_horizontal.TabStyle = Value
End Sub

Sub cb_partinglinevisible_CheckedChange(Checked As Boolean)
	ASTabMenu_vertical.PartingLineVisible = Checked
	ASTabMenu_horizontal.PartingLineVisible = Checked
End Sub

Sub sp_gravity_SelectedIndexChanged(Index As Int, Value As Object)
	ASTabMenu_vertical.CurrentTabUnderlineGravity = Value
	ASTabMenu_horizontal.CurrentTabUnderlineGravity = Value
End Sub
Sub sp_badge_gravity_SelectedIndexChanged(Index As Int, Value As Object)
	ASTabMenu_vertical.Badge_Gravity = Value
	ASTabMenu_horizontal.Badge_Gravity = Value
End Sub
#End If